Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.security
Interface IUserAuthenticationFactory

public interface IUserAuthenticationFactory

Classes that implements this interface provide the base for authentication of a user. By extending this base class, developers can implement the mechanism to retrieve user and group information from a specific user store or security realm. For example, a custom implementation of this factory can authentication to LDAP to retrieve user information.

Method Summary
`User` | `getAnonymousAuthentication()` Gets the anonymous authentication.
`User` | `getUserAuthentication(UserInfo userInfo)` Gets the user authentication from the given user info.
`java.util.List` | `groups()` Gets the list of groups (optional operation).
`java.util.List` | `users()` Gets the list of users (optional operation).

Method Detail

### getUserAuthentication

    public User getUserAuthentication(UserInfo userInfo)
                               throws InvalidAuthenticationException

  Gets the user authentication from the given user info.
  Parameters:
    `userInfo` - the user information
  Returns:
    the user authentication collected from the user info or `null` if user can not be determined
  Throws:
    `InvalidAuthenticationException` - occurs if the user authentication cannot be validated (ie. the user exists but cannot be authenticated with the specified user information credentials)

### getAnonymousAuthentication

    public User getAnonymousAuthentication()

  Gets the anonymous authentication.
  Returns:
    the anonymous authentication or `null` if none can be determined

### users

    public java.util.List users()
                         throws java.lang.UnsupportedOperationException

  Gets the list of users (optional operation).
  Returns:
    the list of `User` objects
  Throws:
    `java.lang.UnsupportedOperationException` - obtaining a list of users is not supported by this authentication factory

### groups

    public java.util.List groups()
                          throws java.lang.UnsupportedOperationException

  Gets the list of groups (optional operation).
  Returns:
    the list of `Group` objects
  Throws:
    `java.lang.UnsupportedOperationException` - obtaining a list of groups is not supported by this authentication factory

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.